Sign inGet started

Routing Queues

GET
/workspaces/{workspaceId}/inbox/routing-queues
Retrieve list of routing queues
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.workspaceId
string
obligatorio
results.name
string
obligatorio
results.description
string
obligatorio
results.priority
integer
obligatorio
results.teams
array of object
obligatorio
Mostrar atributos secundarios
results.teams.type
string
obligatorio
Type of the team
Possible values: primary, secondary
results.teams.ids
array of string
obligatorio
List of Team IDs
results.queuedItems
object
Mostrar atributos secundarios
results.queuedItems.email
array of object
Mostrar atributos secundarios
results.queuedItems.email.rootItemId
string
obligatorio
results.queuedItems.email.capacityType
string
obligatorio
results.queuedItems.email.QueuedAt
string
obligatorio
results.queuedItems.messaging
array of object
Mostrar atributos secundarios
results.queuedItems.messaging.rootItemId
string
obligatorio
results.queuedItems.messaging.capacityType
string
obligatorio
results.queuedItems.messaging.QueuedAt
string
obligatorio
results.queuedItems.voice
array of object
Mostrar atributos secundarios
results.queuedItems.voice.rootItemId
string
obligatorio
results.queuedItems.voice.capacityType
string
obligatorio
results.queuedItems.voice.QueuedAt
string
obligatorio
results.createdAt
string
results.updatedAt
string
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/routing-queues
Create a new routing queue
Cuerpo de la solicitud
name
string
obligatorio
description
string
priority
integer
obligatorio
teams
array of object
obligatorio
Mostrar parámetros secundarios
teams.type
string
obligatorio
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatorio
List of Team IDs
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
priority
integer
obligatorio
teams
array of object
obligatorio
Mostrar atributos secundarios
teams.type
string
obligatorio
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatorio
List of Team IDs
queuedItems
object
Mostrar atributos secundarios
queuedItems.email
array of object
Mostrar atributos secundarios
queuedItems.email.rootItemId
string
obligatorio
queuedItems.email.capacityType
string
obligatorio
queuedItems.email.QueuedAt
string
obligatorio
queuedItems.messaging
array of object
Mostrar atributos secundarios
queuedItems.messaging.rootItemId
string
obligatorio
queuedItems.messaging.capacityType
string
obligatorio
queuedItems.messaging.QueuedAt
string
obligatorio
queuedItems.voice
array of object
Mostrar atributos secundarios
queuedItems.voice.rootItemId
string
obligatorio
queuedItems.voice.capacityType
string
obligatorio
queuedItems.voice.QueuedAt
string
obligatorio
createdAt
string
updatedAt
string
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Retrieves Routing queue.
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
priority
integer
obligatorio
teams
array of object
obligatorio
Mostrar atributos secundarios
teams.type
string
obligatorio
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatorio
List of Team IDs
queuedItems
object
Mostrar atributos secundarios
queuedItems.email
array of object
Mostrar atributos secundarios
queuedItems.email.rootItemId
string
obligatorio
queuedItems.email.capacityType
string
obligatorio
queuedItems.email.QueuedAt
string
obligatorio
queuedItems.messaging
array of object
Mostrar atributos secundarios
queuedItems.messaging.rootItemId
string
obligatorio
queuedItems.messaging.capacityType
string
obligatorio
queuedItems.messaging.QueuedAt
string
obligatorio
queuedItems.voice
array of object
Mostrar atributos secundarios
queuedItems.voice.rootItemId
string
obligatorio
queuedItems.voice.capacityType
string
obligatorio
queuedItems.voice.QueuedAt
string
obligatorio
createdAt
string
updatedAt
string
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Modify the details of a specific routing queue.
Cuerpo de la solicitud
name
string
description
string
priority
integer
teams
array of object
Mostrar parámetros secundarios
teams.type
string
obligatorio
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatorio
List of Team IDs
Cuerpo de la respuesta
id
string
obligatorio
workspaceId
string
obligatorio
name
string
obligatorio
description
string
obligatorio
priority
integer
obligatorio
teams
array of object
obligatorio
Mostrar atributos secundarios
teams.type
string
obligatorio
Type of the team
Possible values: primary, secondary
teams.ids
array of string
obligatorio
List of Team IDs
queuedItems
object
Mostrar atributos secundarios
queuedItems.email
array of object
Mostrar atributos secundarios
queuedItems.email.rootItemId
string
obligatorio
queuedItems.email.capacityType
string
obligatorio
queuedItems.email.QueuedAt
string
obligatorio
queuedItems.messaging
array of object
Mostrar atributos secundarios
queuedItems.messaging.rootItemId
string
obligatorio
queuedItems.messaging.capacityType
string
obligatorio
queuedItems.messaging.QueuedAt
string
obligatorio
queuedItems.voice
array of object
Mostrar atributos secundarios
queuedItems.voice.rootItemId
string
obligatorio
queuedItems.voice.capacityType
string
obligatorio
queuedItems.voice.QueuedAt
string
obligatorio
createdAt
string
updatedAt
string
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}
Delete a Routing queue. Items on the queue will be un-queued, then queue will be deleted.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/routing-queues/{routingQueueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'